void step1() {
  println("step1");
  counter= 0;


  // claculate and store 12 Points on the outer circle
  double step = 2 * PI/12;
  float h = scale/2;
  float k = scale/2;
  float r = scale/2;
  for (float theta=0; theta < 2 * PI; theta += step) {
    float x = h + r * cos(theta);
    float y = k - r * sin(theta);
    xOuterCircle[counter] = x;
    yOuterCircle[counter] = y;
    counter ++;
  }

  // draw six (6) intersecting lines

  // Extrapolate the 6 intersecting lines from step 1 on page 89  to outer square
  xOuterSquare[1] = scale;
  yOuterSquare[1] = extrapolateY(xCenter, yCenter, xOuterCircle[1], yOuterCircle[1], scale);

  xOuterSquare[2] = extrapolateX(xCenter, yCenter, xOuterCircle[2], yOuterCircle[2], 0);
  yOuterSquare[2] = 0;

  xOuterSquare[3] = scale/2;
  yOuterSquare[3] = 0;

  xOuterSquare[4] = extrapolateX(xCenter, yCenter, xOuterCircle[4], yOuterCircle[4], 0);
  yOuterSquare[4] = 0;

  xOuterSquare[5] = 0;
  yOuterSquare[5] = extrapolateY(xCenter, yCenter, xOuterCircle[5], yOuterCircle[5], 0);

  xOuterSquare[6] = 0;
  yOuterSquare[6] = scale/2;

  xOuterSquare[7] = 0;
  yOuterSquare[7] = extrapolateY(xCenter, yCenter, xOuterCircle[7], yOuterCircle[7], 0);

  xOuterSquare[8] = extrapolateX( xOuterCircle[8], yOuterCircle[8], xCenter, yCenter, scale);
  yOuterSquare[8] = scale;

  xOuterSquare[9] = scale/2;
  yOuterSquare[9] = scale;

  xOuterSquare[10] = extrapolateX( xOuterCircle[10], yOuterCircle[10], xCenter, yCenter, scale);
  yOuterSquare[10] = scale;

  xOuterSquare[11] = scale;
  yOuterSquare[11] = extrapolateY(xCenter, yCenter, xOuterCircle[11], yOuterCircle[11], scale);


  if (guides) {

    // outer rectangle
    rect(0, 0, scale, scale);

    // Outer Circle in the square
    circle(scale/2, scale/2, scale);

    line(xOuterCircle[0], yOuterCircle[0], xOuterCircle[6], yOuterCircle[6]);
    line(xOuterCircle[3], yOuterCircle[3], xOuterCircle[9], yOuterCircle[9]);
    line(xOuterSquare[1], yOuterSquare[1], xOuterSquare[7], yOuterSquare[7]);
    line(xOuterSquare[2], yOuterSquare[2], xOuterSquare[8], yOuterSquare[8]);
    line(xOuterSquare[4], yOuterSquare[4], xOuterSquare[10], yOuterSquare[10]);
    line(xOuterSquare[5], yOuterSquare[5], xOuterSquare[11], yOuterSquare[11]);
  }
}
